%{?nodejs_find_provides_and_requires}

%global packagename chokidar
%global enable_tests 1

Name:		nodejs-chokidar
Version:	1.6.0
Release:	1%{?dist}
Summary:	A neat wrapper around node.js fs.watch / fs.watchFile / fsevents.

License:	MIT
URL:		https://github.com/paulmillr/chokidar.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/paulmillr/chokidar/%{version}/test.js


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(async-each)
BuildRequires:	npm(is-binary-path)

%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(sinon-chai)
%endif

%description
A neat wrapper around node.js fs.watch / fs.watchFile / fsevents.


%prep
%autosetup -n package
# setup the tests
cp -p %{SOURCE1} .

sed -e '0,/^## License/d' README.md > LICENSE.md

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Sun Jul 17 2016 Jared Smith <jsmith@fedoraproject.org> - 1.6.0-1
- Initial packaging
